Name:           tigase-xmltools
Version:        3.3.4
Release:        4%{?dist}
Summary:        Tigase XML Tools

Group:          Development/Libraries
License:        GPLv3
URL:            http://www.tigase.org/
# The source for this package was pulled from upstream's vcs.
# Use the following commands to generate the tarball:
#  svn export -r 457 https://svn.tigase.org/reps/tigase-xmltools/trunk/ %{name}-%{version}
#  tar -cjvf %{name}-%{version}.tar.bz2 %{name}-%{version}
Source0:        %{name}-%{version}.tar.bz2  

BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  ant ant-contrib ant-apache-regexp
%if 0%{?rhel:1}
BuildRequires:  ant-nodeps
%endif
Requires:       jpackage-utils
Requires:       java >= 1:1.6.0

%description
An XML parser dedicated for XMPP stream handling. It is a lightweight
and high performance parser that does not handle the full XML specification.

The implementation covers only elements used in the XMPP protocol.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
export LANG=en_US
export CLASSPATH=$(build-classpath ant/ant-contrib)
ant jar docs

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p jars/%{name}.jar   \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp docs-tigase-xmltools/api/  \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*
%doc COPYING

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Tue May 11 2010 Matěj Cepl <mcepl@redhat.com> - 3.3.4-3
- Fixing description per reviewer's request

* Sat Apr 19 2010 Matěj Cepl <mcepl@redhat.com> 3.3.4-2
- Tidy up the spec per package review comments

* Sat Apr 17 2010 Matěj Cepl <mcepl@redhat.com> - 3.3.4-1
- Initial packaging effort
